<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imbreakunset</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imbreakset.html">&lt;&lt; imbreakset</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imcaminfo.html">imcaminfo &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a> &gt; imbreakunset</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imbreakunset</h1>
    <p class="refpurpose">Unset the break event with Scilab figure</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="functionid">imbreakunset</span><span class="default">()</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function unset the event handle for a figure which has been set by imbreakset</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><a class="scilabcommand" href="scilab://global">global</a> <span class="scilabstring">breakloop</span><span class="scilabdefault">;</span>
<span class="scilabid">breakloop</span> <span class="scilaboperator">=</span> <span class="scilabconstants">%f</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://plot">plot</a><span class="scilabopenclose">(</span><span class="scilabnumber">0</span><span class="scilabdefault">,</span><span class="scilabnumber">0</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imbreakset</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabskeyword">for</span> <span class="scilabid">cnt</span> <span class="scilaboperator">=</span> <span class="scilabnumber">1</span><span class="scilabspecial">:</span><span class="scilabnumber">10</span>
<a class="scilabcommand" href="scilab://sleep">sleep</a><span class="scilabopenclose">(</span><span class="scilabnumber">500</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabcommand" href="scilab://disp">disp</a><span class="scilabopenclose">(</span><span class="scilabid">cnt</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabskeyword">if</span> <span class="scilabid">breakloop</span> <span class="scilaboperator">==</span> <span class="scilabconstants">%t</span>
<a class="scilabcommand" href="scilab://disp">disp</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">User Break</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabckeyword">break</span>
<span class="scilabskeyword">end</span>
<span class="scilabskeyword">end</span>
<span class="scilabid">imbreakset</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imlsusb.html" class="link">imlsusb</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imbreakset.html">&lt;&lt; imbreakset</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imcaminfo.html">imcaminfo &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
